<?php
	$currDir = dirname(__FILE__);
	include("$currDir/nel.php");
	include("$currDir/defaultLang.php");
	include("$currDir/language.php");
	include("$currDir/lib.php");

	include_once("$currDir/header.php");

	/* grant access to all users who have access to the facture table */
	$order_from = get_sql_from('facture');
	if(!$order_from) exit(error_message('Access denied!', false));

	/* get invoice */
	$order_id = intval($_REQUEST['idfacture']);
	if(!$order_id) exit(error_message('Invalid invoice ID!', false));
	
	/* retrieve order info */
	$order_fields = get_sql_fields('facture');
	$res = sql("select {$order_fields} from {$order_from} and idfacture={$order_id}", $eo);
	if(!($order = db_fetch_assoc($res))) exit(error_message('Invoice not found!', false));
	
	//var_dump($order);
	
	/* retrieve order items */
	$items = array();
	$order_total = 0;
	$item_fields = get_sql_fields('detail_facture');
	$item_from = get_sql_from('detail_facture');
	$res = sql("select {$item_fields} from {$item_from} and detail_facture.factureid={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal'] = str_replace('$', '', $row['prixunitaire']) * $row['quantite'];
		$items[] = $row;
		$order_total += $row['LineTotal'];
	}
	
	//var_dump($items);
	
	?>
<img id="img1" src="images/geigroupe.png" alt="geigroupe" style="width: 80px; float: right;">
<h2>ETS GEI</h2>
<h4>AttijariBAnk : 90000024934-57</h4>
<p>Tél. + 222 31 00 11 31 | 41 15 12 39</p>
<p>Email. geigroupe@geigroupe.mr</p>
<p>Web. https://geigroupe.mr</p>
<p>Nouakchott-Mauritanie</p>
<br>
<br>
<br>
<html>

<head>
    <title></title>
    <style type="text/css" media="print">
        input.imprimer {
            display: none;
        }

    </style>

</head>

<body>

    <form method="POST" action="">

        <input type="button" value="PRINT" class="imprimer" name="bnom" onClick="javascript:window.print()">
    </form>

</body>

</html>

<div class="row">
    <div class="col-sm-6">
        <!-- customer info -->

        <div class="col-sm-6 text-right">
            <!-- invoice info -->
            <h1></h1>
            <h5>DATE :
                <?php echo $order['date']; 
            ?>
            </h5>
            <center>
                <h2>
                    <?php echo $order['type']; ?>
                </h2>
                <h2>
                    <?php echo $order['numero']; ?>
                </h2>
            </center>
        </div>

        <h5>CLIENT :
            <?php echo $order['client']; ?>
        </h5>
        <h5>SOCIETE :
            <?php echo $order['societe']; ?>
        </h5>
        <h5>OBJET :
            <?php echo $order['travaux']; ?>
        </h5>
    </div>

</div>

<hr>

<!-- order items -->
<table class="table table-striped table-bordered">
    <thead>
        <th class="text-center">#</th>
        <th>DESIGNATION</th>
        <th class="text-center">PRIX UNITAIRE</th>
        <th class="text-center">QUANTITE</th>
        <th class="text-center">TOTAL</th>
    </thead>

    <tbody>
        <?php foreach($items as $i => $item){ ?>
        <tr>
            <td class="text-center">
                <?php echo ($i + 1); ?>
            </td>
            <td>
                <?php echo $item['designation']; ?>
            </td>
            <td class="text-center">
                <?php echo number_format($item['prixunitaire'], 0, ',', ' '); ?>
            </td>
            <td class="text-center">
                <?php echo $item['quantite']; ?>
            </td>
            <td class="text-right">
                <?php echo number_format($item['LineTotal'], 0, ',', ' '); ?>
            </td>
        </tr>
        <?php } ?>
    </tbody>

    <tfoot>


        <tr>
            <th colspan="4" class="text-right">TOTAL</th>
            <th class="text-right">
                <?php echo number_format($order_total + $order['Freight'], 0, ',', ' '); ?>
            </th>
        </tr>
    </tfoot>
</table>
<span id="in-words"><b>Arrêté à la somme de:</b></span>
<?php
include_once('nel.php');
echo enlettres("$order_total");
?>
<span id="in-words"><b> n-ouguiya</b></span>

<?php

	include_once("$currDir/footer.php");

?>
